#
# spec file for package scrypt
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           scrypt
Version:        1.3.2
Release:        1.5
Summary:        Password-based encryption utility using the scrypt key derivation function
License:        BSD-3-Clause
Group:          Productivity/Networking/Security
URL:            https://www.tarsnap.com/scrypt.html
Source0:        https://www.tarsnap.com/scrypt/scrypt-%{version}.tgz
Source1:        https://www.tarsnap.com/scrypt/scrypt-sigs-%{version}.asc
Source3:        %name.keyring
BuildRequires:  openssl-devel

%description
The scrypt key derivation function was originally developed for use in the
Tarsnap online backup system and is designed to be far more secure against
hardware brute-force attacks than alternative functions such as PBKDF2 or
bcrypt.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%check
make %{?_smp_mflags} test

%files
%license COPYRIGHT
%doc FORMAT
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}

%changelog
* Mon Dec 11 2023 Wang Jun <badboywj@gmail.com>
- update to 1.3.2:
  * see https://github.com/Tarsnap/scrypt/compare/1.3.0...1.3.1
* Wed Sep 16 2020 Dirk Mueller <dmueller@suse.com>
- use https for downloads
- add gpg verification
- update to 1.3.1:
  * see https://github.com/Tarsnap/scrypt/compare/1.3.0...1.3.1
* Mon Dec  9 2019 Martin Pluskal <mpluskal@suse.com>
- Update to version 1.3.0:
  * No upstream changelog available
* Thu Mar 16 2017 mpluskal@suse.com
- Update to version 1.2.1:
  * Unit tests are available
* Fri Feb 26 2016 mpluskal@suse.com
- Small spec file cleanups
* Fri Sep 11 2015 mpluskal@suse.com
- Update to 1.2.0
  * no upstream changelog provided
- Update license
- Cleanup spec file with spec-cleaner
* Fri Mar 18 2011 crrodriguez@opensuse.org
- Disable SSE2 ugly hack, just provide a binary with SSE2
  always.
* Mon Jan 31 2011 cristian.rodriguez@opensuse.org
- fix build in i586, that doesnt enable sse2 :-(
* Mon Jan 31 2011 cristian.rodriguez@opensuse.org
- Initial package
